org.apache.cassandra.utils

## Class CRC32Factory

- java.lang.Object
- - com.github.tjake.CRC32Factory
  - - org.apache.cassandra.utils.CRC32Factory

-     public class CRC32Factory
      extends com.github.tjake.CRC32Factory

  CRC Factory that uses our pure java crc for default

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CRC32Factory` | `instance`

    - ### Fields inherited from class com.github.tjake.CRC32Factory

      `defaultFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRC32Factory()`

  - ### Method Summary

    - ### Methods inherited from class com.github.tjake.CRC32Factory

      `create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final CRC32Factory instance

  - ### Constructor Detail

    - #### CRC32Factory

          public CRC32Factory()

Copyright © 2018 The Apache Software Foundation